Package com.orchestranetworks.workflow

# Class WorkItemKey

java.lang.Object
com.orchestranetworks.workflow.WorkItemKey

public final class WorkItemKey extends Object
Identifies a work item.

This identifier can be used to select a work item. See `UIResourceLocator.getURLForSelection(WorkItemKey)`.

Since:
  5.2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `format()`
  Returns the persistent identifier of a work item in the EBX® repository.
  `String`
  `getXPathPredicate()`
  Returns the XPath predicate associated with the work item key.
  `int`
  `hashCode()`
  `static WorkItemKey`
  `parse(String aString)`
  Parses the specified string, so as to return a work item key.
  `String`
  `toString()`
  `String`
  `toStringForLog()`
  Returns a string that represents this work item key for logging purposes.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getXPathPredicate

    public String getXPathPredicate()
    Returns the XPath predicate associated with the work item key.

    This predicate allows to retrieve the associated work item.

    Since:
      5.7.1

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toStringForLog

    public String toStringForLog()
    Returns a string that represents this work item key for logging purposes.
    Since:
      5.4.3

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### format

    public String format()
    Returns the persistent identifier of a work item in the EBX® repository.
    Since:
      5.7.1 fix D
    See Also:
      - `parse(String)`

  - ### parse

    public static WorkItemKey parse(String aString)
    Parses the specified string, so as to return a work item key.

    The specified string must have been generated by `format()`.

    Since:
      5.7.1 fix D
    See Also:
      - `format()`